Package com.avaya.clientservices.user

## Enum MediaAddressMode

- java.lang.Object
- - java.lang.Enum<MediaAddressMode>
  - - com.avaya.clientservices.user.MediaAddressMode

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<MediaAddressMode>`

      public enum MediaAddressMode
      extends java.lang.Enum<MediaAddressMode>

  Enum indicating the IP address type preference to use when negotiating media streams when the client connects to dual stack server from a dual stack client network.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `IPV4` | Only use local IPv4 address during media information exchange.
    `IPV4THEN6` | Prefer local IPv4 address over local IPv6 address when both are available to the local endpoint.
    `IPV6` | Only use local IPv6 address during media information exchange.
    `IPV6THEN4` | Prefer local IPv6 address over local IPv4 address when both are available to the local endpoint.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static MediaAddressMode` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static MediaAddressMode[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### IPV4

          public static final MediaAddressMode IPV4

      Only use local IPv4 address during media information exchange. This option is used in an IPv4 only network environment, where the local client has an IPv4 network address. Setting this mode in an IPv6 only environment is a configuration error, however the call is allowed to proceed with an IPv6 media address.

    - #### IPV6

          public static final MediaAddressMode IPV6

      Only use local IPv6 address during media information exchange. This option is used in an IPv6 only network environment, where the local client has an IPv6 network addresses. Setting this mode in an IPv4 only environment is a configuration error, however the call is allowed to proceed with an IPv4 media address.

    - #### IPV4THEN6

          public static final MediaAddressMode IPV4THEN6

      Prefer local IPv4 address over local IPv6 address when both are available to the local endpoint. This option is used in a dual IPv4 and IPv6 network environment, where the local client has both IPv4 and IPv6 address. Both IPv4 and IPv6 local addresses are provided during media exchange, and the IPv4 local address is preferred over the IPv6 address.

    - #### IPV6THEN4

          public static final MediaAddressMode IPV6THEN4

      Prefer local IPv6 address over local IPv4 address when both are available to the local endpoint. This option is used in a dual IPv4 and IPv6 network environment, where the local client has both IPv4 and IPv6 addresses. Both IPv4 and IPv6 local addresses are provided during media exchange, and the IPv6 local address is preferred over the IPv4 address.

  - ### Method Detail

    - #### values

          public static MediaAddressMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MediaAddressMode c : MediaAddressMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MediaAddressMode valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null